Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(531)

Issue 1636453004: Update Token Binding code to match latest draft draft-ietf-tokbind-protocol-04 (Closed)

Created:
4 years, 9 months ago by nharper
Modified:
4 years, 9 months ago
Reviewers:
davidben
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Update Token Binding code to match latest draft draft-ietf-tokbind-protocol-04 BUG=467312 Committed: https://crrev.com/47d408a4847886b442365a41ef8281ca99de0812 Cr-Commit-Position: refs/heads/master@{#372198}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Bump TB version in tlslite #

Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -28 lines) Patch
M net/socket/ssl_client_socket_openssl.cc View 1 chunk +2 lines, -2 lines 0 comments Download
M net/ssl/token_binding.h View 1 chunk +1 line, -1 line 0 comments Download
M net/ssl/token_binding_openssl.cc View 3 chunks +25 lines, -20 lines 0 comments Download
M third_party/tlslite/README.chromium View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/tlslite/patches/token_binding_negotiation.patch View 1 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/tlslite/tlslite/messages.py View 1 2 chunks +2 lines, -2 lines 0 comments Download

Messages

Total messages: 17 (5 generated)
nharper
4 years, 9 months ago (2016-01-26 23:10:46 UTC) #2
davidben
One quick question. Otherwise looks good. https://codereview.chromium.org/1636453004/diff/1/net/socket/ssl_client_socket_openssl.cc File net/socket/ssl_client_socket_openssl.cc (right): https://codereview.chromium.org/1636453004/diff/1/net/socket/ssl_client_socket_openssl.cc#newcode92 net/socket/ssl_client_socket_openssl.cc:92: const uint8_t kTbMinProtocolVersionMinor ...
4 years, 9 months ago (2016-01-28 18:27:55 UTC) #3
nharper
https://codereview.chromium.org/1636453004/diff/1/net/socket/ssl_client_socket_openssl.cc File net/socket/ssl_client_socket_openssl.cc (right): https://codereview.chromium.org/1636453004/diff/1/net/socket/ssl_client_socket_openssl.cc#newcode92 net/socket/ssl_client_socket_openssl.cc:92: const uint8_t kTbMinProtocolVersionMinor = 3; On 2016/01/28 18:27:55, davidben ...
4 years, 9 months ago (2016-01-28 19:06:08 UTC) #4
davidben
lgtm
4 years, 9 months ago (2016-01-28 19:20:40 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1636453004/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1636453004/1
4 years, 9 months ago (2016-01-28 19:22:38 UTC) #7
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/172952) mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, ...
4 years, 9 months ago (2016-01-28 19:58:43 UTC) #9
nharper
Bump TB version in tlslite
4 years, 9 months ago (2016-01-28 21:07:41 UTC) #10
nharper
ptal. I forgot to bump the version in tlslite as well, which caused tests to ...
4 years, 9 months ago (2016-01-28 21:08:51 UTC) #11
davidben
still lgtm
4 years, 9 months ago (2016-01-28 21:13:15 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1636453004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1636453004/20001
4 years, 9 months ago (2016-01-28 21:37:31 UTC) #14
commit-bot: I haz the power
Committed patchset #2 (id:20001)
4 years, 9 months ago (2016-01-28 23:00:45 UTC) #15
commit-bot: I haz the power
4 years, 9 months ago (2016-01-28 23:01:41 UTC) #17
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/47d408a4847886b442365a41ef8281ca99de0812
Cr-Commit-Position: refs/heads/master@{#372198}

Powered by Google App Engine
This is Rietveld 408576698